@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap");
div.rozi_registration_form {
    margin: 0;
    padding: 0;
    outline: 0;
    box-sizing: border-box;
    font-family: "Rubik", sans-serif;
    font-optical-sizing: auto;
    font-weight: 16;
    color: #333333;
    font-style: normal;
    font-weight: 400;
    max-width: 500px;
    margin: 0 auto;
    padding: 30px 20px;
    margin-top: 30px;
    background-color: #f9f9f9;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}

div.rozi_registration_form form {
    margin-bottom: 16px;
    display: block;
    unicode-bidi: isolate;
    box-sizing: border-box;
}

div.rozi_registration_form div.field {
    margin-bottom: 16px;
    box-sizing: border-box;
}

div.rozi_registration_form div.field label {
    margin-bottom: 4px;
    font-weight: 400;
    text-transform: none;
    display: block;
    box-sizing: border-box;
    text-align: right;
}

div.rozi_registration_form div.field input {
    width: 100%;
    font-family: inherit;
    vertical-align: middle;
    font-weight: 400;
    background-color: #ffffff;
    border: 1px solid rgba(17, 17, 19, 0.1);
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    box-shadow: none;
    padding: 0 8px;
    color: rgba(17, 17, 19, 0.8);
    display: block;
    box-sizing: border-box;
    height: 3em;
    font-size: 0.9375em;
}

div.rozi_registration_form div.field input[type="text"] {
}

div.rozi_registration_form div.field input[type="checkbox"] {
    display: inline-block;
    width: auto;
    height: auto;
    padding: 0;
    vertical-align: middle;
    position: relative;
    bottom: 0.15rem;
    margin-right: 2px;
}

div.rozi_registration_form input[type="number"]::-webkit-inner-spin-button,
div.rozi_registration_form input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

div.rozi_registration_form div.is-buttons {
    display: flex;
    box-sizing: border-box;
}

div.rozi_registration_form div.field input[type="submit"] {
    background-color: #0c3dd7;
    color: #ffffff;
    -webkit-appearance: button;
    font-size: 0.9375em;
}

div.rozi_registration_form div.rozi_error {
    display: none;
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
    padding: 20px 10px;
    margin: 0 0 10px 0;
    font-weight: bold;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    text-align: center;
}

div.rozi_registration_form div.rozi_spinner {
    text-align: center;
    display: none;
}

div.rozi_registration_form .loader {
    border: 6px solid #f3f3f3; /* Light grey */
    border-top: 6px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
    margin: 0 auto;
}

/* Spinner rotation */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/* Text animation */
div.rozi_registration_form #rozi_spinnerText {
    display: block;
    margin-top: 10px;
    text-align: center;
    font-size: 16px;
    color: #333;
    animation: blink 1.5s infinite;
}

/* Blinking effect */
@keyframes blink {
    0%,
    100% {
        opacity: 1;
    }
    50% {
        opacity: 0.4;
    }
}
